%define upstream_name    Test-Random
%define upstream_version 20130427

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Make testing random functions deterministic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This is a testing module to make testing random things a bit more
deterministic.

Controlling randomness
    Its main function is to allow you to repeat a failing test in the same
    way it ran before, even if it contained random elements. Test::Random
    will output the seed used by the random number generator. You can then
    use this seed to repeat the last test with exactly the same random
    elements.

    You can control the random seed used by Test::Random by setting the
    'TEST_RANDOM_SEED' environment variable. This is handy to make test
    runs repeatable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 20130427.0.0-9.mga9
+ Revision: 1806280
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 20130427.0.0-8.mga8
+ Revision: 1497513
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 20130427.0.0-7.mga7
+ Revision: 1271992
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 20130427.0.0-6.mga6
+ Revision: 1034577
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 20130427.0.0-5.mga6
+ Revision: 939912
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20130427.0.0-4.mga5
+ Revision: 743492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20130427.0.0-3.mga5
+ Revision: 686523
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20130427.0.0-2.mga4
+ Revision: 525260
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 20130427.0.0-1.mga4
+ Revision: 432828
- update to 20130427

* Sun Jan 13 2013 umeabot <umeabot> 20100119.173.355-2.mga3
+ Revision: 373725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 20100119.173.355-1.mga2
+ Revision: 163176
- imported package perl-Test-Random


* Sat Nov 05 2011 cpan2dist 20100119.173355-1mga
- initial mageia release, generated with cpan2dist
